Subject: Re: Xilinx SystemACE driver for 2.6

From: Ameet Patil <[email-masked]>
Date: Fri, 30 Jun 2006 17:55:09 +0100

Hi Ming,

Ming Liu wrote:
> Hi friend,
> I have tried your patch for SystemACE. Unfortunately, it looks that I got 
> some problem. I applied the patch and compile the kernel. There are some 
> XPAR_... parameters defination missing. So I include the xpamameters header 
> file( I use the xparameters_ml300 which was generated by EDK and rename it 
> as xparameters_ml403.). 

Do you have a Xilinx ML403 board?

Then I compiled out the kernel and change it into
> .ace file. When I want to boot the kernel from SystemACE, there is no 
> information to say that the linux is booting. So I think the problem is 
> still on the driver of SystemACE. 

Does your kernel boot (show messages) without the SystemACE driver? Try
that first. It should boot and panic at the point where it tries to find
the root fs. Once you have reached this stage, you can then include the
SysAce driver.

> My linux version is 2.6.16-rc5. 
I don't think there is any issue with your kernel version apart from the
fact that 2.6.16- series posed considerable problem for me when trying
to configure a serial shell. The serial driver is BUGGY. So I use
2.6.17.1 (latest release).

> And I 
> applied the Xilinx Temac patch in it. 

Is it possible for you to send me this Temac patch?

So could you please give me some
> detailed guidance on how to successfully apply the driver for SystemACE? 

I am in the process of publishing a detailed article/tutorial on
compiling 2.6 kernel for the Xilinx MLxxx boards. Will send you the link
shortly!

-Ameet

> Thanks a lot in advance.
> 
> Regards
> Ming
> 
> _________________________________________________________________
> 与联机的朋友进行交流，请使用 MSN Messenger:  http://messenger.msn.com/cn  
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded